# openstack.clustering.v1.Node

## The Node Class

The `Node` class inherits from `Resource`.

class openstack.clustering.v1.node.Node(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  resource_key = 'node'

    Singular form of key for resource.

  resources_key = 'nodes'

    Plural form of key for resource.

  base_path = '/nodes'

    The base part of the URI for this resource.

  allow_create = True

    Allow create operation for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  allow_commit = True

    Allow update operation for this resource.

  allow_delete = True

    Allow delete operation for this resource.

  allow_list = True

    Allow list operation for this resource.

  commit_method = 'PATCH'

    Method for committing a resource (PUT, PATCH, POST)

  name

    The name of the node.

  physical_id

    The ID of the physical object that backs the node.

  cluster_id

    The ID of the cluster in which this node is a member. A node is an orphan node if this field is empty.

  profile_id

    The ID of the profile used by this node.

  domain_id

    The domain ID of the node.

  user_id

    The ID of the user who created this node.

  project_id

    The ID of the project this node belongs to.

  profile_name

    The name of the profile used by this node.

  index

    An integer that is unique inside the owning cluster. A value of -1 means this node is an orphan node.

  role

    A string indicating the role the node plays in a cluster.

  init_at

    The timestamp of the node object’s initialization. Type: datetime object parsed from ISO 8601 formatted string

  created_at

    The timestamp of the node’s creation, i.e. the physical object represented by this node is also created. Type: datetime object parsed from ISO 8601 formatted string

  updated_at

    The timestamp the node was last updated. Type: datetime object parsed from ISO 8601 formatted string

  status

    A string indicating the node’s status.

  status_reason

    A string describing why the node entered its current status.

  metadata

    A map containing key-value pairs attached to the node.

  data

    A map containing some runtime data for this node.

  details

    A map containing the details of the physical object this node represents

  dependents

    A map containing the dependency of nodes

  tainted

    Whether the node is tainted. Type: bool

  check(session, **params)

    An action procedure for the node to check its health status.

    Parameters:

      session – A session object used for sending request.

    Returns:

      A dictionary containing the action ID.

  recover(session, **params)

    An action procedure for the node to recover.

    Parameters:

      session – A session object used for sending request.

    Returns:

      A dictionary containing the action ID.

  op(session, operation, **params)

    Perform an operation on the specified node.

    Parameters:

      - session – A session object used for sending request.

      - operation – A string representing the operation to be performed.

      - params (dict) – An optional dict providing the parameters for the operation.

    Returns:

      A dictionary containing the action ID.

  adopt(session, preview=False, **params)

    Adopt a node for management.

    Parameters:

      - session – A session object used for sending request.

      - preview – A boolean indicating whether the adoption is a preview. A “preview” does not create the node object.

      - params (dict) – A dict providing the details of a node to be adopted.

  force_delete(session)

    Force delete a node.

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.